<html>
<head>
<title>TestNG:  InApp</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>InApp</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>0/2/0</td>
</tr><tr>
<td>Started on:</td><td>Fri Apr 05 12:33:41 IST 2024</td>
</tr>
<tr><td>Total time:</td><td>346 seconds (346099 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-failed'>
<tr><td colspan='4' align='center'><b>FAILED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp()'><b>testInAppCamp</b><br>Test class: com.webengage.mobile_automation.tests.InAppCampaignTest<br>Parameters: {template={
    "Expected": {
        "Type": "Popout Modal",
        "Name": "MobileSDKInAppPopout",
        "Content": {
            "MessageCard": {
                "Title": "Popout Modal Title",
                "PopoutModalLayoutDescription": "In App Campaign Popout check with Icon link",
                "Icon": "https://cdn-site-assets.veed.io/Experimenting_Panda_9ce57391cb/Experimenting_Panda_9ce57391cb.webp?width=640&quality=75"
            },
            "ButtonCardPopoutModalLayout": {
                "PopoutButtonLabel": "Click"
            }
        }
    }
}, campaign_name=MobileSDKInAppPopout, user_id=TestUser001}</td>
<td><div><pre>io.appium.java_client.NoSuchContextException: An unknown server-side error occurred while processing the command. Original error: No Chromedriver found that can automate Chrome &apos;123.0.6312&apos;. You could also try to enable automated chromedrivers download as a possible workaround.
Build info: version: &apos;4.16.1&apos;, revision: &apos;9b4c83354e&apos;
System info: os.name: &apos;Mac OS X&apos;, os.arch: &apos;aarch64&apos;, os.version: &apos;14.0&apos;, java.version: &apos;19&apos;
Driver info: io.appium.java_client.android.AndroidDriver
Command: [2c9c40a9-094a-4b0f-b2c9-00114cfae324, switchToContext {name=WEBVIEW_com.webengage.production}]
Capabilities {appium:app: /Users/reggiesanthony/git/m..., appium:appPackage: com.webengage.production, appium:automationName: UiAutomator2, appium:chromedriver_autodownload: true, appium:databaseEnabled: false, appium:desired: {app: /Users/reggiesanthony/git/m..., automationName: UiAutomator2, chromedriver_autodownload: true, deviceForm: virtual, noReset: false, platformName: ANDROID, platformVersion: 11.0, udid: emulator-5554}, appium:deviceApiLevel: 30, appium:deviceForm: virtual, appium:deviceManufacturer: Google, appium:deviceModel: sdk_gphone_arm64, appium:deviceName: emulator-5554, appium:deviceScreenDensity: 440, appium:deviceScreenSize: 1080x2280, appium:deviceUDID: emulator-5554, appium:javascriptEnabled: true, appium:locationContextEnabled: false, appium:networkConnectionEnabled: true, appium:noReset: false, appium:pixelRatio: 2.75, appium:platformVersion: 11, appium:statBarHeight: 66, appium:takesScreenshot: true, appium:udid: emulator-5554, appium:viewportRect: {height: 2214, left: 0, top: 66, width: 1080}, appium:warnings: {}, appium:webStorageEnabled: false, platformName: ANDROID}
Session ID: 2c9c40a9-094a-4b0f-b2c9-00114cfae324
	at io.appium.java_client.remote.SupportsContextSwitching.context(SupportsContextSwitching.java:48)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:42)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp(InAppCampaignTest.java:65)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
Caused by: org.openqa.selenium.WebDriverException: An unknown server-side error occurred while processing the command. Original error: No Chromedriver found that can automate Chrome &apos;123.0.6312&apos;. You could also try to enable automated chromedrivers download as a possible workaround.
Build info: version: &apos;4.16.1&apos;, revision: &apos;9b4c83354e&apos;
System info: os.name: &apos;Mac OS X&apos;, os.arch: &apos;aarch64&apos;, os.version: &apos;14.0&apos;, java.version: &apos;19&apos;
Driver info: io.appium.java_client.android.AndroidDriver
Command: [2c9c40a9-094a-4b0f-b2c9-00114cfae324, switchToContext {name=WEBVIEW_com.webengage.production}]
Capabilities {appium:app: /Users/reggiesanthony/git/m..., appium:appPackage: com.webengage.production, appium:automationName: UiAutomator2, appium:chromedriver_autodownload: true, appium:databaseEnabled: false, appium:desired: {app: /Users/reggiesanthony/git/m..., automationName: UiAutomator2, chromedriver_autodownload: true, deviceForm: virtual, noReset: false, platformName: ANDROID, platformVersion: 11.0, udid: emulator-5554}, appium:deviceApiLevel: 30, appium:deviceForm: virtual, appium:deviceManufacturer: Google, appium:deviceModel: sdk_gphone_arm64, appium:deviceName: emulator-5554, appium:deviceScreenDensity: 440, appium:deviceScreenSize: 1080x2280, appium:deviceUDID: emulator-5554, appium:javascriptEnabled: true, appium:locationContextEnabled: false, appium:networkConnectionEnabled: true, appium:noReset: false, appium:pixelRatio: 2.75, appium:platformVersion: 11, appium:statBarHeight: 66, appium:takesScreenshot: true, appium:udid: emulator-5554, appium:viewportRect: {height: 2214, left: 0, top: 66, width: 1080}, appium:warnings: {}, appium:webStorageEnabled: false, platformName: ANDROID}
Session ID: 2c9c40a9-094a-4b0f-b2c9-00114cfae324
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.createException(W3CHttpResponseCodec.java:200)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:133)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:52)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:191)
	at io.appium.java_client.remote.AppiumCommandExecutor.execute(AppiumCommandExecutor.java:238)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:523)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:596)
	at io.appium.java_client.AppiumDriver.execute(AppiumDriver.java:302)
	at io.appium.java_client.remote.SupportsContextSwitching.context(SupportsContextSwitching.java:45)
	... 42 more
... Removed 28 stack frames</pre></div><a href='#' onClick='toggleBox("stack-trace962126152", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace962126152'><pre>io.appium.java_client.NoSuchContextException: An unknown server-side error occurred while processing the command. Original error: No Chromedriver found that can automate Chrome &apos;123.0.6312&apos;. You could also try to enable automated chromedrivers download as a possible workaround.
Build info: version: &apos;4.16.1&apos;, revision: &apos;9b4c83354e&apos;
System info: os.name: &apos;Mac OS X&apos;, os.arch: &apos;aarch64&apos;, os.version: &apos;14.0&apos;, java.version: &apos;19&apos;
Driver info: io.appium.java_client.android.AndroidDriver
Command: [2c9c40a9-094a-4b0f-b2c9-00114cfae324, switchToContext {name=WEBVIEW_com.webengage.production}]
Capabilities {appium:app: /Users/reggiesanthony/git/m..., appium:appPackage: com.webengage.production, appium:automationName: UiAutomator2, appium:chromedriver_autodownload: true, appium:databaseEnabled: false, appium:desired: {app: /Users/reggiesanthony/git/m..., automationName: UiAutomator2, chromedriver_autodownload: true, deviceForm: virtual, noReset: false, platformName: ANDROID, platformVersion: 11.0, udid: emulator-5554}, appium:deviceApiLevel: 30, appium:deviceForm: virtual, appium:deviceManufacturer: Google, appium:deviceModel: sdk_gphone_arm64, appium:deviceName: emulator-5554, appium:deviceScreenDensity: 440, appium:deviceScreenSize: 1080x2280, appium:deviceUDID: emulator-5554, appium:javascriptEnabled: true, appium:locationContextEnabled: false, appium:networkConnectionEnabled: true, appium:noReset: false, appium:pixelRatio: 2.75, appium:platformVersion: 11, appium:statBarHeight: 66, appium:takesScreenshot: true, appium:udid: emulator-5554, appium:viewportRect: {height: 2214, left: 0, top: 66, width: 1080}, appium:warnings: {}, appium:webStorageEnabled: false, platformName: ANDROID}
Session ID: 2c9c40a9-094a-4b0f-b2c9-00114cfae324
	at io.appium.java_client.remote.SupportsContextSwitching.context(SupportsContextSwitching.java:48)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:42)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp(InAppCampaignTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:135)
	at org.testng.internal.invokers.TestInvoker.invokeMethod(TestInvoker.java:673)
	at org.testng.internal.invokers.TestInvoker.invokeTestMethod(TestInvoker.java:220)
	at org.testng.internal.invokers.MethodRunner.runInSequence(MethodRunner.java:50)
	at org.testng.internal.invokers.TestInvoker$MethodInvocationAgent.invoke(TestInvoker.java:945)
	at org.testng.internal.invokers.TestInvoker.invokeTestMethods(TestInvoker.java:193)
	at org.testng.internal.invokers.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:146)
	at org.testng.internal.invokers.TestMethodWorker.run(TestMethodWorker.java:128)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
	at org.testng.TestRunner.privateRun(TestRunner.java:808)
	at org.testng.TestRunner.run(TestRunner.java:603)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:429)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:423)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:383)
	at org.testng.SuiteRunner.run(SuiteRunner.java:326)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1249)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1169)
	at org.testng.TestNG.runSuites(TestNG.java:1092)
	at org.testng.TestNG.run(TestNG.java:1060)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
Caused by: org.openqa.selenium.WebDriverException: An unknown server-side error occurred while processing the command. Original error: No Chromedriver found that can automate Chrome &apos;123.0.6312&apos;. You could also try to enable automated chromedrivers download as a possible workaround.
Build info: version: &apos;4.16.1&apos;, revision: &apos;9b4c83354e&apos;
System info: os.name: &apos;Mac OS X&apos;, os.arch: &apos;aarch64&apos;, os.version: &apos;14.0&apos;, java.version: &apos;19&apos;
Driver info: io.appium.java_client.android.AndroidDriver
Command: [2c9c40a9-094a-4b0f-b2c9-00114cfae324, switchToContext {name=WEBVIEW_com.webengage.production}]
Capabilities {appium:app: /Users/reggiesanthony/git/m..., appium:appPackage: com.webengage.production, appium:automationName: UiAutomator2, appium:chromedriver_autodownload: true, appium:databaseEnabled: false, appium:desired: {app: /Users/reggiesanthony/git/m..., automationName: UiAutomator2, chromedriver_autodownload: true, deviceForm: virtual, noReset: false, platformName: ANDROID, platformVersion: 11.0, udid: emulator-5554}, appium:deviceApiLevel: 30, appium:deviceForm: virtual, appium:deviceManufacturer: Google, appium:deviceModel: sdk_gphone_arm64, appium:deviceName: emulator-5554, appium:deviceScreenDensity: 440, appium:deviceScreenSize: 1080x2280, appium:deviceUDID: emulator-5554, appium:javascriptEnabled: true, appium:locationContextEnabled: false, appium:networkConnectionEnabled: true, appium:noReset: false, appium:pixelRatio: 2.75, appium:platformVersion: 11, appium:statBarHeight: 66, appium:takesScreenshot: true, appium:udid: emulator-5554, appium:viewportRect: {height: 2214, left: 0, top: 66, width: 1080}, appium:warnings: {}, appium:webStorageEnabled: false, platformName: ANDROID}
Session ID: 2c9c40a9-094a-4b0f-b2c9-00114cfae324
	at java.base/jdk.internal.reflect.DirectConstructorHandleAccessor.newInstance(DirectConstructorHandleAccessor.java:67)
	at java.base/java.lang.reflect.Constructor.newInstanceWithCaller(Constructor.java:500)
	at java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:484)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.createException(W3CHttpResponseCodec.java:200)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:133)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:52)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:191)
	at io.appium.java_client.remote.AppiumCommandExecutor.execute(AppiumCommandExecutor.java:238)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:523)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:596)
	at io.appium.java_client.AppiumDriver.execute(AppiumDriver.java:302)
	at io.appium.java_client.remote.SupportsContextSwitching.context(SupportsContextSwitching.java:45)
	... 42 more
</pre></div></td>
<td>168</td>
<td>com.webengage.mobile_automation.tests.InAppCampaignTest@51dcb805</td></tr>
<tr>
<td title='com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp()'><b>testInAppCamp</b><br>Test class: com.webengage.mobile_automation.tests.InAppCampaignTest<br>Parameters: {template={"Expected": {     "Type": "Header",     "Name": "MobileSDKInAppHeader",     "Content": {         "MessageCard": {             "HeaderLayoutDescription": "Test1",             "Icon": "https://cdn-icons-png.flaticon.com/128/7601/7601730.png"         },         "ButtonsCardHeaderLayout": {             "CloseButtonLabel": "Close"         }     } }}, campaign_name=MobileSDKInAppHeader, user_id=TestUser001}</td>
<td><div><pre>io.appium.java_client.NoSuchContextException: An unknown server-side error occurred while processing the command. Original error: No Chromedriver found that can automate Chrome &apos;123.0.6312&apos;. You could also try to enable automated chromedrivers download as a possible workaround.
Build info: version: &apos;4.16.1&apos;, revision: &apos;9b4c83354e&apos;
System info: os.name: &apos;Mac OS X&apos;, os.arch: &apos;aarch64&apos;, os.version: &apos;14.0&apos;, java.version: &apos;19&apos;
Driver info: io.appium.java_client.android.AndroidDriver
Command: [5678d6d0-f878-4c2f-9508-f72938bae136, switchToContext {name=WEBVIEW_com.webengage.production}]
Capabilities {appium:app: /Users/reggiesanthony/git/m..., appium:appPackage: com.webengage.production, appium:automationName: UiAutomator2, appium:chromedriver_autodownload: true, appium:databaseEnabled: false, appium:desired: {app: /Users/reggiesanthony/git/m..., automationName: UiAutomator2, chromedriver_autodownload: true, deviceForm: virtual, noReset: false, platformName: ANDROID, platformVersion: 11.0, udid: emulator-5554}, appium:deviceApiLevel: 30, appium:deviceForm: virtual, appium:deviceManufacturer: Google, appium:deviceModel: sdk_gphone_arm64, appium:deviceName: emulator-5554, appium:deviceScreenDensity: 440, appium:deviceScreenSize: 1080x2280, appium:deviceUDID: emulator-5554, appium:javascriptEnabled: true, appium:locationContextEnabled: false, appium:networkConnectionEnabled: true, appium:noReset: false, appium:pixelRatio: 2.75, appium:platformVersion: 11, appium:statBarHeight: 66, appium:takesScreenshot: true, appium:udid: emulator-5554, appium:viewportRect: {height: 2214, left: 0, top: 66, width: 1080}, appium:warnings: {}, appium:webStorageEnabled: false, platformName: ANDROID}
Session ID: 5678d6d0-f878-4c2f-9508-f72938bae136
	at io.appium.java_client.remote.SupportsContextSwitching.context(SupportsContextSwitching.java:48)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:42)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp(InAppCampaignTest.java:65)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
Caused by: org.openqa.selenium.WebDriverException: An unknown server-side error occurred while processing the command. Original error: No Chromedriver found that can automate Chrome &apos;123.0.6312&apos;. You could also try to enable automated chromedrivers download as a possible workaround.
Build info: version: &apos;4.16.1&apos;, revision: &apos;9b4c83354e&apos;
System info: os.name: &apos;Mac OS X&apos;, os.arch: &apos;aarch64&apos;, os.version: &apos;14.0&apos;, java.version: &apos;19&apos;
Driver info: io.appium.java_client.android.AndroidDriver
Command: [5678d6d0-f878-4c2f-9508-f72938bae136, switchToContext {name=WEBVIEW_com.webengage.production}]
Capabilities {appium:app: /Users/reggiesanthony/git/m..., appium:appPackage: com.webengage.production, appium:automationName: UiAutomator2, appium:chromedriver_autodownload: true, appium:databaseEnabled: false, appium:desired: {app: /Users/reggiesanthony/git/m..., automationName: UiAutomator2, chromedriver_autodownload: true, deviceForm: virtual, noReset: false, platformName: ANDROID, platformVersion: 11.0, udid: emulator-5554}, appium:deviceApiLevel: 30, appium:deviceForm: virtual, appium:deviceManufacturer: Google, appium:deviceModel: sdk_gphone_arm64, appium:deviceName: emulator-5554, appium:deviceScreenDensity: 440, appium:deviceScreenSize: 1080x2280, appium:deviceUDID: emulator-5554, appium:javascriptEnabled: true, appium:locationContextEnabled: false, appium:networkConnectionEnabled: true, appium:noReset: false, appium:pixelRatio: 2.75, appium:platformVersion: 11, appium:statBarHeight: 66, appium:takesScreenshot: true, appium:udid: emulator-5554, appium:viewportRect: {height: 2214, left: 0, top: 66, width: 1080}, appium:warnings: {}, appium:webStorageEnabled: false, platformName: ANDROID}
Session ID: 5678d6d0-f878-4c2f-9508-f72938bae136
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.createException(W3CHttpResponseCodec.java:200)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:133)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:52)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:191)
	at io.appium.java_client.remote.AppiumCommandExecutor.execute(AppiumCommandExecutor.java:238)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:523)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:596)
	at io.appium.java_client.AppiumDriver.execute(AppiumDriver.java:302)
	at io.appium.java_client.remote.SupportsContextSwitching.context(SupportsContextSwitching.java:45)
	... 43 more
... Removed 28 stack frames</pre></div><a href='#' onClick='toggleBox("stack-trace1349400619", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace1349400619'><pre>io.appium.java_client.NoSuchContextException: An unknown server-side error occurred while processing the command. Original error: No Chromedriver found that can automate Chrome &apos;123.0.6312&apos;. You could also try to enable automated chromedrivers download as a possible workaround.
Build info: version: &apos;4.16.1&apos;, revision: &apos;9b4c83354e&apos;
System info: os.name: &apos;Mac OS X&apos;, os.arch: &apos;aarch64&apos;, os.version: &apos;14.0&apos;, java.version: &apos;19&apos;
Driver info: io.appium.java_client.android.AndroidDriver
Command: [5678d6d0-f878-4c2f-9508-f72938bae136, switchToContext {name=WEBVIEW_com.webengage.production}]
Capabilities {appium:app: /Users/reggiesanthony/git/m..., appium:appPackage: com.webengage.production, appium:automationName: UiAutomator2, appium:chromedriver_autodownload: true, appium:databaseEnabled: false, appium:desired: {app: /Users/reggiesanthony/git/m..., automationName: UiAutomator2, chromedriver_autodownload: true, deviceForm: virtual, noReset: false, platformName: ANDROID, platformVersion: 11.0, udid: emulator-5554}, appium:deviceApiLevel: 30, appium:deviceForm: virtual, appium:deviceManufacturer: Google, appium:deviceModel: sdk_gphone_arm64, appium:deviceName: emulator-5554, appium:deviceScreenDensity: 440, appium:deviceScreenSize: 1080x2280, appium:deviceUDID: emulator-5554, appium:javascriptEnabled: true, appium:locationContextEnabled: false, appium:networkConnectionEnabled: true, appium:noReset: false, appium:pixelRatio: 2.75, appium:platformVersion: 11, appium:statBarHeight: 66, appium:takesScreenshot: true, appium:udid: emulator-5554, appium:viewportRect: {height: 2214, left: 0, top: 66, width: 1080}, appium:warnings: {}, appium:webStorageEnabled: false, platformName: ANDROID}
Session ID: 5678d6d0-f878-4c2f-9508-f72938bae136
	at io.appium.java_client.remote.SupportsContextSwitching.context(SupportsContextSwitching.java:48)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:42)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.pages.InAppCampaignView.waitForWebView(InAppCampaignView.java:36)
	at com.webengage.mobile_automation.tests.InAppCampaignTest.testInAppCamp(InAppCampaignTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:135)
	at org.testng.internal.invokers.TestInvoker.invokeMethod(TestInvoker.java:673)
	at org.testng.internal.invokers.TestInvoker.invokeTestMethod(TestInvoker.java:220)
	at org.testng.internal.invokers.MethodRunner.runInSequence(MethodRunner.java:50)
	at org.testng.internal.invokers.TestInvoker$MethodInvocationAgent.invoke(TestInvoker.java:945)
	at org.testng.internal.invokers.TestInvoker.invokeTestMethods(TestInvoker.java:193)
	at org.testng.internal.invokers.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:146)
	at org.testng.internal.invokers.TestMethodWorker.run(TestMethodWorker.java:128)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
	at org.testng.TestRunner.privateRun(TestRunner.java:808)
	at org.testng.TestRunner.run(TestRunner.java:603)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:429)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:423)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:383)
	at org.testng.SuiteRunner.run(SuiteRunner.java:326)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1249)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1169)
	at org.testng.TestNG.runSuites(TestNG.java:1092)
	at org.testng.TestNG.run(TestNG.java:1060)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
Caused by: org.openqa.selenium.WebDriverException: An unknown server-side error occurred while processing the command. Original error: No Chromedriver found that can automate Chrome &apos;123.0.6312&apos;. You could also try to enable automated chromedrivers download as a possible workaround.
Build info: version: &apos;4.16.1&apos;, revision: &apos;9b4c83354e&apos;
System info: os.name: &apos;Mac OS X&apos;, os.arch: &apos;aarch64&apos;, os.version: &apos;14.0&apos;, java.version: &apos;19&apos;
Driver info: io.appium.java_client.android.AndroidDriver
Command: [5678d6d0-f878-4c2f-9508-f72938bae136, switchToContext {name=WEBVIEW_com.webengage.production}]
Capabilities {appium:app: /Users/reggiesanthony/git/m..., appium:appPackage: com.webengage.production, appium:automationName: UiAutomator2, appium:chromedriver_autodownload: true, appium:databaseEnabled: false, appium:desired: {app: /Users/reggiesanthony/git/m..., automationName: UiAutomator2, chromedriver_autodownload: true, deviceForm: virtual, noReset: false, platformName: ANDROID, platformVersion: 11.0, udid: emulator-5554}, appium:deviceApiLevel: 30, appium:deviceForm: virtual, appium:deviceManufacturer: Google, appium:deviceModel: sdk_gphone_arm64, appium:deviceName: emulator-5554, appium:deviceScreenDensity: 440, appium:deviceScreenSize: 1080x2280, appium:deviceUDID: emulator-5554, appium:javascriptEnabled: true, appium:locationContextEnabled: false, appium:networkConnectionEnabled: true, appium:noReset: false, appium:pixelRatio: 2.75, appium:platformVersion: 11, appium:statBarHeight: 66, appium:takesScreenshot: true, appium:udid: emulator-5554, appium:viewportRect: {height: 2214, left: 0, top: 66, width: 1080}, appium:warnings: {}, appium:webStorageEnabled: false, platformName: ANDROID}
Session ID: 5678d6d0-f878-4c2f-9508-f72938bae136
	at java.base/jdk.internal.reflect.DirectConstructorHandleAccessor.newInstance(DirectConstructorHandleAccessor.java:67)
	at java.base/java.lang.reflect.Constructor.newInstanceWithCaller(Constructor.java:500)
	at java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:484)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.createException(W3CHttpResponseCodec.java:200)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:133)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:52)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:191)
	at io.appium.java_client.remote.AppiumCommandExecutor.execute(AppiumCommandExecutor.java:238)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:523)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:596)
	at io.appium.java_client.AppiumDriver.execute(AppiumDriver.java:302)
	at io.appium.java_client.remote.SupportsContextSwitching.context(SupportsContextSwitching.java:45)
	... 43 more
</pre></div></td>
<td>171</td>
<td>com.webengage.mobile_automation.tests.InAppCampaignTest@51dcb805</td></tr>
</table><p>
</body>
</html>